Bug 501230 - aaxine crashes with resizing window
aaxine crashes with resizing window
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xine-ui (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
http://bugs.xine-project.org/show_bug...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 03:34 EDT by Mamoru TASAKA
Modified: 2010-06-28 08:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb log 1 (12.08 KB, text/plain)
2009-05-18 03:36 EDT, Mamoru TASAKA
no flags Details
gdb log 2 (7.29 KB, text/plain)
2009-05-18 03:36 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2009-05-18 03:34:16 EDT
Description of problem:
aaxine (in xine-ui) crashes with resizing its window.
Currently I cannot figure out which component to fix,
xine-lib, xine-ui or aalib

Version-Release number of selected component (if applicable):
xine-lib-1.1.16.3-2.fc11.i586
xine-ui-0.99.5-10.fc11.i586
aalib-1.4.0-0.17.rc5.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1. Try $ aaxine -driver X11 /usr/share/xine/visuals/default.avi
2. Resize window
3.
  
Actual results:
gdb log will be attached

Expected results:
aaxine won't crash
Comment 1 Mamoru TASAKA 2009-05-18 03:36:01 EDT
Created attachment 344388 [details]
gdb log 1
Comment 2 Mamoru TASAKA 2009-05-18 03:36:38 EDT
Created attachment 344389 [details]
gdb log 2
Comment 3 Rex Dieter 2009-05-18 09:21:40 EDT
Shouldn't this be reported against xine-ui ?  (that comes from rpmfusion, doesn't it?)
Comment 4 Mamoru TASAKA 2009-05-18 09:43:45 EDT
xine-ui is now in Fedora.
https://bugzilla.redhat.com/show_bug.cgi?id=501006
http://koji.fedoraproject.org/koji/packageinfo?packageID=8460

As I said above, currently I am not sure which component
needs fixing.
Comment 5 Mamoru TASAKA 2009-05-18 09:49:08 EDT
Note that

(in gdb log 1)
#8  0x001a7b3c in aa_display_frame (this_gen=0x80bdc18, frame_gen=0x84ce510) at video_out_aa.c:228
#9  0x009809bd in overlay_and_display_frame (this=0x80b83a8, img=0x84ce510, vpts=182193) at video_out.c:1036
#10 0x00980f48 in video_out_loop (this_gen=0x80b83a8) at video_out.c:1172

These files are in xine-lib-debuginfo.
Comment 6 Rex Dieter 2009-05-18 09:58:29 EDT
I can't get aaxine to work, *at all* here.  closes immediately trying to play anything, with error
main: video driver aa failed

Reassigning (for now).
Comment 7 Susi Lehtola 2009-05-18 12:25:16 EDT
(In reply to comment #6)
> I can't get aaxine to work, *at all* here.  closes immediately trying to play
> anything, with error
> main: video driver aa failed
> 
> Reassigning (for now).  

Are you sure you have the version I've prepared? The rpmfusion one is missing a Requires: xine-lib-extras which is needed for aaxine.

My version hasn't hit even the updates-testing repo yet.
Comment 8 Rex Dieter 2009-05-18 12:34:56 EDT
Ah, good point.  I'm indeed missing that.  works now, and I can confirm the crash/failure.

Probably best to report the issue upstream, unless there are any other suggestions?
Comment 9 Mamoru TASAKA 2009-05-18 12:42:36 EDT
Currently I have no suggestion for this.
Comment 10 Susi Lehtola 2009-05-18 15:00:42 EDT
Yes, this should be reported upstream since it is not an issue with the Fedora package, it's in upstream.

Filed a bug upstream.
http://bugs.xine-project.org/show_bug.cgi?id=249
Comment 11 Bug Zapper 2009-06-09 12:01:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-04-27 10:22:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 08:35:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.